vty_parent_node Struct Reference
VTY (Virtual TTY) interface

`#include <vty.h>`

## Data Fields

struct llist_head | entry
void * | priv
| private data, specified by creator More...
int | node
| Node status of this vty. More...
char * | indent
| When reading from a config file, these are the indenting characters expected for children of this VTY node. More...

## Field Documentation

## entry

struct llist_head vty_parent_node::entry

Referenced by cmd_execute_command_real(), config_from_file(), vty_parent(), and vty_pop_parent().

## indent

char* vty_parent_node::indent

When reading from a config file, these are the indenting characters expected for children of this VTY node.

Referenced by config_from_file(), and vty_pop_parent().

## node

int vty_parent_node::node

Node status of this vty.

Referenced by cmd_execute_command_real(), config_from_file(), and vty_pop_parent().

## priv

void* vty_parent_node::priv

private data, specified by creator

Referenced by vty_pop_parent().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/vty.h